program chop (input,output,datafile);
type
    string=record
            s : packed array [1..80] of char;
            l : integer;
           end;

   string21=packed array [1..21] of char;
   ptr21=^string21;

   string3=packed array [1..3] of char;

   integer3=array [1..3] of integer;

var c                              : char;
    n                              : integer;
    n1                             : integer3;
    ipstring                       : string;	    {one line}
    error                          : boolean;	    {file error}
    datafile                       : file of char;
    first,last                     : integer;       {word position in string}
    searchpos                      : integer;       {search position in str}
    nomore                         : boolean;       {eoln flag}
    ins                            : ptr21;
    mnem                           : string3;
    mnemt                          : string3;
    k				   : integer;
    l4                             : boolean;

procedure readfstr(var s : string; var error : boolean);
var  eoline   : boolean;

begin
 s.l:=0;
repeat
  read(datafile,c);
  eoline:=(c=chr(13));
  if not eoline then
  begin
   s.l:=succ(s.l);
   s.s[s.l]:=c;
  end;
  error:=eof(datafile);
until error or eoline;
end;

procedure writestr(s : string);
var  n : integer;
begin
 for n:=1 to s.l do write(s.s[n])
end;

procedure writetab;
begin
 write(chr(9))
end;

procedure writeword(first, last : integer;
                    ipstring    : string);
var  i : integer;
begin
 for i:=first to last do
 begin
  write(ipstring.s[i])
 end;
end;

procedure getnext(ipstring    : string;   {line to be divided}
             var  searchpos   : integer;  {search from here onwards}
             var  first, last : integer;  {word positions}
             var  nomore      : boolean); {end of line or ; reached}

var      c            : char;
         no_following : boolean;

begin
 nomore:=(searchpos>=ipstring.l);

{First find first character of word}
 if nomore=false then
 begin
  repeat
    c:=ipstring.s[searchpos];
    first:=searchpos;
    searchpos:=succ(searchpos);
    nomore:=(searchpos>=ipstring.l);
  until (not( c in [' ',chr(9)]) or (nomore=true));
 end;
 if c=';' then nomore:=true;     {comment only}

{Find last character of word}
 if nomore=false then
 begin
  repeat
    c:=ipstring.s[searchpos];
    searchpos:=succ(searchpos);
    no_following:=searchpos>ipstring.l;
  until (c in [' ',chr(9)]) or (no_following=true);
   last:=pred(pred(searchpos));
 end;

end; {getnext}

function capital(c : char;
             error : boolean) : char;
begin
 capital:=c;
 if c in ['A'..'Z'] then begin end
   else
      if c in ['a'..'z'] then capital:=chr( ord(c)-ord('a')+ord('A') )
         else error:=true;
end; {capital}
                
begin {main program}
 reset(datafile);
repeat
  readfstr(ipstring,error);
{  writestr(ipstring);}
  searchpos:=1;
  getnext(ipstring,searchpos,first,last,nomore);
  writeln;
  if (nomore=false) then			{there is something}
  begin
   if (first=1) then 
   begin    				{it is a label}
    writeword(first,last,ipstring);
    getnext(ipstring,searchpos,first,last,nomore);
   end;

   if (nomore=false) then			{Instruction}
   begin
    writetab;
    writeword(first,last,ipstring);
    {is there an associated operand?}
    k:=last-first;
    l4:=((mnem[last] in ['A','a']) and (k=4));
    if (k=3) or (l4=true) then
    begin
     error:=false;
     for n:=1 to 3 do
         mnem[n]:=capital(ipstring.s[first+n-1],error);
     if l4=true then nomore:=((mnem='ASL') or (mnem='ROL') or (mnem='INC')
                     or (mnem='ROR') or (mnem='DEC') or (mnem='LSR'))
     else nomore:=((mnem='BRK') or (mnem='CLC') or 
                        (mnem='CLD') or (mnem='CLI')
                     or (mnem='CLV') or (mnem='DEX') or (mnem='DEY')
                     or (mnem='INX') or (mnem='INY') or (mnem='NOP')
                     or (mnem='PHA') or (mnem='PHY') or (mnem='PHX')
                     or (mnem='PLA') or (mnem='PLY') or (mnem='PLX')
                     or (mnem='PHP') or (mnem='PLP') or (mnem='RTI')
                     or (mnem='RTS') or (mnem='SEC') or (mnem='SED')
                     or (mnem='SEI') or (mnem='TSX') or (mnem='TXA')
                     or (mnem='TAX') or (mnem='TAY') or (mnem='TXS')
                     or (mnem='TYA'));
    end;
   end;

  if (nomore=false) then 
  begin
   getnext(ipstring,searchpos,first,last,nomore);
  end;

  if (nomore=false) then			{Operand}
  begin
   writetab;
   writeword(first,last,ipstring);
  end;
  writeln;
 end;
until (error=true);
end. 
